Puppet Module Content count is not updated after module upload

07/24/2014 01:45 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1122254 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/448
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122254

Description of problem:

1) Create a new repository and puppet type

2) click on the new repository and upload a puppet module

3) click on the repository name in left hand column or click on the "back to repository list" link

4) notice that the content column for the puppet repository still shows 0 puppet modules

see screenshot attached

Associated revisions

Revision 70434017 - 07/24/2014 01:48 PM - Walden Raines

Fixes #6776/BZ1122254: update table when repository modified.

The row in the product repositories table was not being updated

when the corresponding repository was updated.  This commit updates

the row that matches the changed repository.

http://projects.theforeman.org/issues/6776

https://bugzilla.redhat.com/show_bug.cgi?id=1122254

Revision 252558eb - 07/24/2014 01:48 PM - Walden Raines

Fixes #6776/BZ1122254: update table when repository modified.

The row in the product repositories table was not being updated

when the corresponding repository was updated.  This commit updates

the row that matches the changed repository.

http://projects.theforeman.org/issues/6776

https://bugzilla.redhat.com/show_bug.cgi?id=1122254

Revision fe6be957 - 07/24/2014 02:56 PM - Walden Raines

Merge pull request #4482 from waldenraines/6776

Fixes #6776/BZ1122254: update table when repository modified.

History

#1 - 07/24/2014 01:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4482 added

- Pull request deleted ()
#2 - 07/24/2014 01:50 PM - Walden Raines

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 07/24/2014 03:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|70434017dd8cd43c1eece73c0349b6b54e15f449.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/katello/repository/katello/revisions/70434017dd8cd43c1eece73c0349b6b54e15f449
http://www.tcpdf.org

